<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="products"
            type="com.cursoandoid.sistemainventario.data.local.entity.ProductsEntity" />

        <variable
            name="cardClickListener"
            type="com.cursoandoid.sistemainventario.ui.adapters.ProductClickedListener"/>
    </data>

    <androidx.cardview.widget.CardView
        android:id="@+id/cv_product"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/margin_small"
        app:cardCornerRadius="@dimen/radius_medium"
        app:cardElevation="@dimen/elevation_big"
        android:onClick="@{()->cardClickListener.onClick(products)}">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical"
            android:padding="@dimen/padding_small">

            <ImageView
                android:id="@+id/img_product"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:contentDescription="@string/img_product"
                android:src="@drawable/ic_circle_person"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:tint="@color/image_login" />

            <TextView
                android:id="@+id/tv_item_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColorHint="@color/black"
                app:layout_constraintStart_toEndOf="@id/img_product"
                app:layout_constraintTop_toTopOf="parent"
                android:layout_marginTop="@dimen/margin_medium"
                android:hint="@string/txt_title_product"
                tools:text="@{products.title}"/>

            <TextView
                android:id="@+id/tv_item_category"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColorHint="@color/black"
                app:layout_constraintTop_toBottomOf="@id/tv_item_title"
                app:layout_constraintStart_toEndOf="@id/img_product"
                android:layout_marginTop="@dimen/margin_smaller"
                android:hint="@string/txt_category_product"
                tools:text="@{products.category}"/>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center"
                app:layout_constraintStart_toEndOf="@id/img_product"
                app:layout_constraintTop_toBottomOf="@id/tv_item_category">

                <TextView
                    android:id="@+id/tv_price_set"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/margin_smaller"
                    android:text="@string/txt_price"/>

                <TextView
                    android:id="@+id/tv_item_price"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColorHint="@color/black"
                    android:layout_marginTop="@dimen/margin_smaller"
                    android:hint="@string/txt_price_product"
                    tools:text="@{products.price}"
                    android:layout_marginStart="@dimen/margin_smaller"/>

            </LinearLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.cardview.widget.CardView>

</layout>